export const useK8sWatchResource = require('@console/internal/components/utils/k8s-watch-hook')
    .useK8sWatchResource;
export const useK8sWatchResources = require('@console/internal/components/utils/k8s-watch-hook')
    .useK8sWatchResources;
export const useResolvedExtensions = require('@console/dynamic-plugin-sdk/src/api/useResolvedExtensions')
    .useResolvedExtensions;
export const consoleFetch = require('@console/dynamic-plugin-sdk/src/utils/fetch')
    .consoleFetch;
export const consoleFetchJSON = require('@console/dynamic-plugin-sdk/src/utils/fetch')
    .consoleFetchJSON;
export const consoleFetchText = require('@console/dynamic-plugin-sdk/src/utils/fetch')
    .consoleFetchText;
/**
 * A component that creates a Navigation bar. It takes array of NavPage objects and renderes a NavBar.
 * Routing is handled as part of the component.
 * @example
 * const HomePage: React.FC = (props) => {
 *     const page = {
 *       href: '/home',
 *       name: 'Home',
 *       component: () => <>Home</>
 *     }
 *     return <HorizontalNav match={props.match} pages={[page]} />
 * }
 *
 * @param {object=} resource - The resource associated with this Navigation, an object of K8sResourceCommon type
 * @param {NavPage[]} pages - An array of page objects
 * @param {object} match - match object provided by React Router
 */
export const HorizontalNav = require('@console/internal/components/utils/horizontal-nav')
    .HorizontalNavFacade;
//# sourceMappingURL=api.js.map